from configparser import ConfigParser
from project_path import path

class ReadConfig:
    def __init__(self):
        self.config = ConfigParser()
        self.config.read(filenames=path+"\\config\\config.ini", encoding="utf-8")
    def get_vconfig(self,url="v_url",v_key="host"):
        """
        获取v部落的配置信息
        :param url:v部落项目配置索引标题
        :param v_key:定义的变量key值
        :return:
        """
        return self.config.get(url,v_key)

    def get_crmconfig(self,url="crm_url",crm_key="host"):
        """
        获取crm的配置信息
        :param url:crm项目配置索引标题
        :param crm_key:定义的变量key值
        :return:
        """
        return self.config.get(url,crm_key)

    def get_xzsconfig(self,url="xzs_url",xzs_key="host"):
        """
        获取学之思的配置信息
        :param url:学之思项目配置索引标题
        :param xzs_key:定义的变量key值
        :return:
        """
        return self.config.get(url,xzs_key)