import requests
import allure
from config.readConfig import ReadConfig
rc = ReadConfig()

@allure.feature("CRM-日程模块功能链路测试")
class TestDemo2():
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("查看日程模块")
    @allure.story("查看日程模块：/OaEvent/queryList")
    def test_case_01(self, get_crm_token):
        """
        查看日程模块接口：/OaEvent/queryList
        post
        {startTime:
        2023-01-30,
        endTime:
        2023-03-13}
        """
        res = requests.post(url=rc.get_crmconfig()+'/OaEvent/queryList', data={"startTime": "2023-01-30",
                            "endTime": "2023-03-13"},headers=get_crm_token)
        print(res.text)
        assert res.status_code == 200
        assert res.json()["code"] == 0



