import requests
import allure
from config.readConfig import ReadConfig
rc = ReadConfig()

@allure.feature("CRM-任务模块功能链路测试")
class TestDemo3():
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("查看任务模块")
    @allure.story("查看任务模块：/task/queryTaskList")
    def test_case_01(self, get_crm_token):
        """
        查看任务模块接口：/task/queryTaskList
        post
        {status:
        1
        priority:
        limit:
        15
        page:
        1
        search:

         }
        """
        res = requests.post(url=rc.get_crmconfig()+'/task/queryTaskList', data={"status":1, "priority": "","limit":15,
                            "page":1,"search":""},headers=get_crm_token)
        print(res.text)
        assert res.status_code == 200
        assert res.json()["code"] == 0



