import requests
import allure
import pytest
from config.readConfig import ReadConfig
rc = ReadConfig()

@allure.feature("V-栏目管理功能链路测试")
class TestDemo6():
    @pytest.mark.run(order=1)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("新增栏目")
    @allure.story("新增栏目：/admin/category/")
    def test_case_01(self,get_v_cookie):
        """
        新增栏目接口：/admin/category/
        post
       { cateName:
        111
        }
        {
        status: "success",
        msg: "添加成功!"
        }
        """
        res = requests.post(url=rc.get_vconfig()+'/admin/category/',data={"cateName": "大河向东流"},headers=get_v_cookie)
        print(res.text)
        assert res.status_code == 200
        assert "success" in res.text

    @pytest.mark.run(order=2)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("删除栏目")
    @allure.story("删除栏目：/admin/category/62792")
    def test_case_02(self,get_v_cookie):
        """
        删除栏目接口：/admin/category/62792
        delete
        {
        status: "success",
        msg: "删除成功!"
        }
        """
        res = requests.delete(url=rc.get_vconfig()+'/admin/category/62815',headers=get_v_cookie)  #先看编号再用程序删除
        print(res.text)
        assert res.status_code == 200
        assert "success" in res.text



