import requests
import allure
import pytest
from config.readConfig import ReadConfig
rc = ReadConfig()
false = False

@allure.feature("XZS-登录功能链路测试")
class TestDemo1():
    case_1 = [("admin",123456,"false",1),("admin123",123456,"false",402),("admin",12345,"false",402)]
    @pytest.mark.parametrize("username,password,remember,code",case_1)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("管理员登录")
    @allure.story("管理员登录：/api/user/login")
    def test_case_01(self,username,password,remember,code):
        """
        登录接口：/api/user/login
        post
        {userName:"admin",password:"123456",remember:false}
        场景一：账号正确，密码正确  {{"code":1,"message":"成功",……}
        场景二：账号错误，密码正确  {"code":500,"msg":"用户名或密码错误！"}
        场景三：账号正确，密码错误  {"code":500,"msg":"用户名或密码错误！"}
        """
        res = requests.post(url=rc.get_crmconfig()+'/login',json={"username":username,"password":password,
                                                                  "remember":remember})
        print(res.text)
        assert res.status_code in (200,201,204)
        assert "code" in res.text



