import requests
import pytest
from config.readConfig import ReadConfig
rc = ReadConfig()

@pytest.fixture(scope="session")
def get_v_cookie():
    """
    获取V部落cookie信息  接口鉴权传参
    :return:
    """
    res = requests.post(url=rc.get_vconfig() +"/login" ,data=eval(rc.get_vconfig(v_key="data")))
    return {"Cookie" :res.headers.get("Set-Cookie")}

@pytest.fixture(scope="session")
def get_crm_token():
    """
    获取悟空CRM token信息
    :return:
    """
    res = requests.post(url=rc.get_crmconfig()+"/login",data=eval(rc.get_crmconfig(crm_key="data")))
    return {"Admin-Token":res.json().get("Admin-Token")}

@pytest.fixture(scope="session")
def get_xzs_cookie():
    """
    获取学之思cookie信息
    :return:
    """
    false = False
    res = requests.post(url=rc.get_xzsconfig()+"/api/user/login",json=eval(rc.get_xzsconfig(xzs_key="data")))
    return {"Cookie":res.headers.get("Set-Cookie")}