import requests
import allure
from config.readConfig import ReadConfig
rc = ReadConfig()

@allure.feature("V-删除文章功能链路测试")
class TestDemo5():
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("删除文章")
    @allure.story("删除文章：/article/dustbin")
    def test_case_01(self,get_v_cookie):
        """
        删除文章接口：/article/dustbin
        put
       { aids:
        90471,
        state:
        1}

        {
        "status": "success",
        "msg": "删除成功!"
        }
        """
        res = requests.put(url=rc.get_vconfig()+'/article/dustbin',data={"aids": 90472, "state": 1},headers=get_v_cookie)
        print(res.text)
        assert res.status_code == 200
        assert "success" in res.text



