import requests
import allure
from config.readConfig import ReadConfig
rc = ReadConfig()

@allure.feature("XZS-主页功能链路测试")
class TestXzsDemo2():
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("查看主页")
    @allure.story("查看主页：/api/admin/dashboard/index")
    def test_case_01(self, get_xzs_cookie):
        """
        主页接口：/api/admin/dashboard/index
        post
        """
        res = requests.post(url=rc.get_xzsconfig() + "/api/admin/dashboard/index", headers=get_xzs_cookie)
        print(res.text)
        assert res.status_code == 200
        assert '''"code":1,"message":"成功"''' in res.text



